## blasr 5.3.5+dfsg

=== debian/changelog ===
blasr (5.3.5+dfsg-8) unstable; urgency=medium

  * Team upload.
  * d/control: build depends on libboost-iostreams-dev. (Closes: #1117387)
  * d/watch: convert to untrackable watch file v5.
  * d/control: fix BSD-3-Clause pointer.
  * d/patches/*: normalize Last-Update timestamp.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Required-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Mon, 06 Oct 2025 00:03:26 +0200

blasr (5.3.5+dfsg-7) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team upload.
  * Bump Standards-Version to 4.7.0 (no changes needed)
  * Build with updated pbseqlib
    Closes: #1067374

  [ Andreas Tille ]
  * d/copyright: Fixes by lrc
  * Build-Depends: s/pkg-config/pkgconf/

 -- Nilesh Patra <nilesh@debian.org>  Tue, 10 Dec 2024 12:21:50 +0100

blasr (5.3.5+dfsg-6) unstable; urgency=medium

  * Upstream has archived this software
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2022 20:49:02 +0100

blasr (5.3.5+dfsg-5) unstable; urgency=medium

  * Team Upload.
  * Update lintian overrides
  * Fix test file substitution regex in autopkgtest (Closes: #1018972)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Sep 2022 20:51:45 +0530

blasr (5.3.5+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * Versioned Depends on libpbseq to fix debci
  * Update d/lintian-overrides
  * Add source lintian overrides for false positives
  * Update Uploader's copyright year

 -- Nilesh Patra <nilesh@debian.org>  Thu, 10 Mar 2022 00:33:01 +0530

blasr (5.3.5+dfsg-3) unstable; urgency=medium

  * d/rules: Drop -std=c++14 from DEB_CXXFLAGS_MAINT_APPEND
    Closes: #1006778

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2022 11:56:33 +0100

blasr (5.3.5+dfsg-2) unstable; urgency=medium

  * Rebuild against new version of pbcopper
    Closes: #1005431

 -- Andreas Tille <tille@debian.org>  Sun, 13 Feb 2022 08:33:23 +0100

blasr (5.3.5+dfsg-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Make sure version bumps will not break autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 10:14:43 +0200

blasr (5.3.3+dfsg-7) unstable; urgency=medium

   * Team Upload.
   * Fix FTCBFS: (Closes: #983631)
     + Annotate python3 dependency with :any.
     + Let dh_auto_configure pass a crossfile to meson.
     Thank you, Helmut Grohne!

 -- Nilesh Patra <nilesh@debian.org>  Sun, 22 Aug 2021 01:49:16 +0530

blasr (5.3.3+dfsg-6) unstable; urgency=medium

  * Team Upload.
  [ Shruti Sridhar ]
  * Add autopkgtest
  * Install README docs
  * d/copyright Add entry for test data
  * d/salsa-ci.yml: salsa ci for i386
  * d/rules: Append LDFLAGS to fix blhc

  [ Nilesh Patra ]
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Shruti Sridhar <shruti.sridhar99@gmail.com>  Mon, 16 Aug 2021 16:34:33 +0530
