=== debian/control ===
Source: blasr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3:any,
               meson,
               cmake,
               pkgconf,
               libboost-dev,
               libboost-iostreams-dev,
               libhdf5-dev,
               zlib1g-dev,
               libpbseq-dev,
               libpbbam-dev,
               libpbdata-dev,
               libpbcopper-dev,
               libgtest-dev,
               libblasr-dev (>= 5.3.5+dfsg-9~)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/blasr
Vcs-Git: https://salsa.debian.org/med-team/blasr.git
Homepage: https://github.com/PacificBiosciences/blasr

Package: blasr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpbseq (>= 5.3.5+dfsg-9~)
Description: mapping single-molecule sequencing reads
 Basic local alignment with successive refinement (BLASR) is a method
 for mapping single-molecule sequencing reads against a reference genome.
 Such reads are thousands of bases long, with divergence between them
 and the genome being dominated by insertion and deletion error.
