=== debian/watch ===
Version: 5
Untrackable: project archived upstream.

Template: Github
Owner: BioinformaticsArchive
Project: blasr
